Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.scholarlysoftware.com/api/v1/profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "profile",
"attributes": {
"display_name": "<string>",
"custom_fields": {},
"legal_first_name": "<string>",
"legal_middle_name": "<string>",
"legal_last_name": "<string>",
"legal_maiden_name": "<string>",
"suffix": "<string>",
"birthdate": "2023-12-25",
"deceased_on": "2023-12-25",
"racial_identity": "<string>",
"primary_employee_id": "<string>",
"employee_ids": {},
"emails": [
"primary@example.com",
"secondary@example.com"
],
"gender_identity": "<string>"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/profiles"
payload = { "data": {
"type": "profile",
"attributes": {
"display_name": "<string>",
"custom_fields": {},
"legal_first_name": "<string>",
"legal_middle_name": "<string>",
"legal_last_name": "<string>",
"legal_maiden_name": "<string>",
"suffix": "<string>",
"birthdate": "2023-12-25",
"deceased_on": "2023-12-25",
"racial_identity": "<string>",
"primary_employee_id": "<string>",
"employee_ids": {},
"emails": ["primary@example.com", "secondary@example.com"],
"gender_identity": "<string>"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'profile',
attributes: {
display_name: '<string>',
custom_fields: {},
legal_first_name: '<string>',
legal_middle_name: '<string>',
legal_last_name: '<string>',
legal_maiden_name: '<string>',
suffix: '<string>',
birthdate: '2023-12-25',
deceased_on: '2023-12-25',
racial_identity: '<string>',
primary_employee_id: '<string>',
employee_ids: {},
emails: ['primary@example.com', 'secondary@example.com'],
gender_identity: '<string>'
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "profile",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"custom_fields": {},
"display_name": "<string>",
"legal_first_name": "<string>",
"legal_middle_name": "<string>",
"legal_last_name": "<string>",
"legal_maiden_name": "<string>",
"suffix": "<string>",
"birthdate": "2023-12-25",
"deceased_on": "2023-12-25",
"racial_identity": "<string>",
"primary_employee_id": "<string>",
"employee_ids": {},
"emails": [
"primary@example.com",
"secondary@example.com"
],
"avatar_url": "<string>",
"avatar_checksum_md5": "<string>",
"preferred_avatar_url": "<string>",
"preferred_avatar_checksum_md5": "<string>",
"cv_upload_url": "<string>",
"cv_upload_checksum_md5": "<string>",
"gender_identity": "<string>"
},
"relationships": {
"current_department": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "department",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"current_primary_appointment": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "primary_appointment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"primary_appointments": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "primary_appointment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"additional_appointments": {
"links": {
"related": "<string>"
},
"meta": {}
},
"addresses": {
"links": {
"related": "<string>"
},
"meta": {}
},
"user": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Non-admin users cannot create profiles
curl --request POST \
--url https://api.scholarlysoftware.com/api/v1/profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "profile",
"attributes": {
"display_name": "<string>",
"custom_fields": {},
"legal_first_name": "<string>",
"legal_middle_name": "<string>",
"legal_last_name": "<string>",
"legal_maiden_name": "<string>",
"suffix": "<string>",
"birthdate": "2023-12-25",
"deceased_on": "2023-12-25",
"racial_identity": "<string>",
"primary_employee_id": "<string>",
"employee_ids": {},
"emails": [
"primary@example.com",
"secondary@example.com"
],
"gender_identity": "<string>"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/profiles"
payload = { "data": {
"type": "profile",
"attributes": {
"display_name": "<string>",
"custom_fields": {},
"legal_first_name": "<string>",
"legal_middle_name": "<string>",
"legal_last_name": "<string>",
"legal_maiden_name": "<string>",
"suffix": "<string>",
"birthdate": "2023-12-25",
"deceased_on": "2023-12-25",
"racial_identity": "<string>",
"primary_employee_id": "<string>",
"employee_ids": {},
"emails": ["primary@example.com", "secondary@example.com"],
"gender_identity": "<string>"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'profile',
attributes: {
display_name: '<string>',
custom_fields: {},
legal_first_name: '<string>',
legal_middle_name: '<string>',
legal_last_name: '<string>',
legal_maiden_name: '<string>',
suffix: '<string>',
birthdate: '2023-12-25',
deceased_on: '2023-12-25',
racial_identity: '<string>',
primary_employee_id: '<string>',
employee_ids: {},
emails: ['primary@example.com', 'secondary@example.com'],
gender_identity: '<string>'
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "profile",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"custom_fields": {},
"display_name": "<string>",
"legal_first_name": "<string>",
"legal_middle_name": "<string>",
"legal_last_name": "<string>",
"legal_maiden_name": "<string>",
"suffix": "<string>",
"birthdate": "2023-12-25",
"deceased_on": "2023-12-25",
"racial_identity": "<string>",
"primary_employee_id": "<string>",
"employee_ids": {},
"emails": [
"primary@example.com",
"secondary@example.com"
],
"avatar_url": "<string>",
"avatar_checksum_md5": "<string>",
"preferred_avatar_url": "<string>",
"preferred_avatar_checksum_md5": "<string>",
"cv_upload_url": "<string>",
"cv_upload_checksum_md5": "<string>",
"gender_identity": "<string>"
},
"relationships": {
"current_department": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "department",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"current_primary_appointment": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "primary_appointment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"primary_appointments": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "primary_appointment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"additional_appointments": {
"links": {
"related": "<string>"
},
"meta": {}
},
"addresses": {
"links": {
"related": "<string>"
},
"meta": {}
},
"user": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer token
Show child attributes
profile created
Show child attributes